"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function OvercastPattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="Overcast" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 50}`} height={`${height || 50}`} viewBox="0 0 80 80">
        <react_native_svg_1.Path d="M0 0h80v80H0V0zm20 20v40h40V20H20zm20 35a15 15 0 110-30 15 15 0 010 30z" fillOpacity={fillOpacity ? fillOpacity / 2 : 0.5} strokeOpacity={strokeOpacity ? strokeOpacity / 2 : 0.5}/>
        <react_native_svg_1.Path fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"} d="M15 15h50l-5 5H20v40l-5 5V15zm0 50h50V15L80 0v80H0l15-15zm32.07-32.07l3.54-3.54A15 15 0 0129.4 50.6l3.53-3.53a10 10 0 1014.14-14.14zM32.93 47.07a10 10 0 1114.14-14.14L32.93 47.07z"/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = OvercastPattern;
